#### Description:

This function frees memory that has previouly been dynamically allocated using one of the AST memory function.

#### Synopsis

void ∗astFree( void ∗ptr )

#### Parameters:

##### ptr

Pointer to previously allocated memory. An error will result if the memory has not previously been allocated by another function in this module. However, a NULL pointer value is accepted (without error) as indicating that no memory has yet been allocated, so that no action is required.

#### Returned Value

##### astFree()

Always returns a NULL pointer.
Copyright (C) 2021 East Asian Observatory